For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
预约演示登录免费开始
  • 入门
    • 概览
    • 工作原理
    • 快速开始
    • 项目结构
    • Customer showcase
    • 变更日志
  • 配置
    • 概览
    • 站点级设置
    • 页面级设置
  • 编写内容
    • Markdown 基础
    • Markdown 中的富媒体
    • Fern 编辑器
    • 可复用代码片段
  • AI 功能
    • 概览
    • Fern Writer
    • AI 生成的示例
    • Markdown 访问
      • 概览
      • Agent 指令
      • 智能体指令
      • 分析与集成
    • MCP 服务器
    • API 目录发现
      • 概览
        • 简介
          • POSTCreate Code Record
          • POSTBatch Create Code Records
          • GETGet Code Record By Id
          • GETGet Code Records
          • DELDelete Code Record By Id
          • DELDelete All Code Records
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
预约演示登录免费开始
AI 功能Ask FernAPI referenceCode

Get Code Records

||以 Markdown 格式查看|
GET
/code/:domain
GET
/code/:domain
$curl https://fai.buildwithfern.com/code/domain \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "documents": [
3 {
4 "code_id": "cde12345-6789-4abc-def0-1234567890ab",
5 "domain": "finance",
6 "chunk": "function calculateInterest(principal, rate, time) { return principal * rate * time / 100; }",
7 "document": "Interest calculation module for financial applications",
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z",
10 "title": "Interest Calculator",
11 "url": "https://finance.example.com/docs/interest-calculator",
12 "version": "1.2.3",
13 "product": "FinanceAPI",
14 "keywords": [
15 "interest",
16 "finance",
17 "calculation"
18 ],
19 "authed": true
20 }
21 ],
22 "pagination": {
23 "total": 1,
24 "page": 1,
25 "limit": 1
26 }
27}
此页面是否有帮助?
上一个

Get Code Record By Id

下一个

Delete Code Record By Id

身份验证

AuthorizationBearer

Bearer 身份验证,格式为 Bearer <token>,其中 token 是您的身份验证令牌。

路径参数

domainstring必需

查询参数

pageinteger or null可选
The page number for pagination
limitinteger or null可选
The number of code entries per page

响应

Successful Response
documentslist of objects
List of code entries for the domain
paginationobject
Pagination information for the code list

错误

422
Unprocessable Entity Error